## iceape 2.0.3

=== debian/changelog ===
iceape (2.0.3-3) unstable; urgency=low

  * debian/iceape-browser.preinst: Don't fail in preinst when /usr/lib/mozilla
    doesn't exist. Closes: #570397
  * debian/control: Don't allow different versions of iceape-browser,
    iceape-mailnews and iceape-dbg to be installed at the same time.
  * debian/patches/0045*: Move cleanup changes to match equivalent upstream
    changes on trunk.
  * debian/patches/0050*: (renamed) Force better nsAutoT{Ptr,}Array buffer
    alignment. This solves issues on sparc in a better way than the previous
    workaround that missed some other failure cases.
  * debian/patches/0057*: Fix xptcstubs on mipsel. The previous patch for mips
    broke it.
  * debian/patches/series: Updated accordingly.
  * debian/iceape-browser.install: Make extensions and plugins directories
    part of the package.

 -- Mike Hommey <glandium@debian.org>  Sun, 21 Feb 2010 09:26:23 +0100

iceape (2.0.3-2) unstable; urgency=low

  * debian/rules: Only do --list-missing when dh_install is called for only
    arch:all or any. Fixes FTBFS on buildds, which only build arch:any
    packages.

 -- Mike Hommey <glandium@debian.org>  Thu, 18 Feb 2010 13:44:50 +0100

iceape (2.0.3-1) unstable; urgency=low

  * New upstream release.
  * Fixes mfsa-2010-{01-05}, also known as
    CVE-2010-0159, CVE-2010-0160, CVE-2009-1571, CVE-2009-3988,
    CVE-2010-0162.

  * debian/patches/0028*: Also set homepage_override and releasenotesurl to
    point at mozilla.debian.net.
  * debian/patches/series: Add new patches, imported from xulrunner:
    + 0035*: Work around FTBFS on mips by disabling TLS support. bz#528687.
    + 0036*: Fix crash with SwitchProxy installed. bz#535990.
    + 0037*: Fix misalignments in --help command line. bz#458631.
    + 0038*: Fix misalignments in --help command line. bz#546296.
    + 0039*: Avoid creating the updates directory when update service is
      disabled. bz#538933.
    + 0040*: Avoid creating /usr/lib/mozilla/extensions 0700 when running as
      root. bz#538929.
    + 0041*: Don't remove build/automationutils.py on make clean. bz#525047.
    + 0042*: Avoid creating config/my{config,rules}.mk. bz#541767.
    + 0043*: Remove automation.py in make clean. bz#541768.
    + 0044*: Remove leaktest files in make clean. bz#541769.
    + 0045*: Remove generated files from js/src during make distclean.
      bz#541770.
    + 0046*: Cleanup idl-parser leftovers in make clean. bz#541774.
    + 0047*: Allow intl.locale.matchOS to be modified in user profile.
      bz#519468.
    + 0048*: Override intl.locale.matchOS if general.useragent.locale is set
      in user profile. This allows the Quick Locale Switcher extension to
      work. bz#542999.
    + 0049*: Avoid crashing when trying to kill a nsProcess that is already
      terminated. bz#543441.
    + 0050*: Work around alignment problems in nsUrlClassifierDBService on
      sparc. bz#448658.
    + 0051*: Fixes for misaligned accesses on sparc in uconv. bz#544512.
    + 0052*: Fix for padding of long long arguments on ppc xptcall.
      bz#520367.
    + 0053*: Fix xptcinvoke on ARM. bz#476903.
    + 0054*: Fixes for misaligned accesses on ARM in uconv. bz#544512.
    + 0055*: Avoid using -fshort-wchar in libmozjs.
    + 0056*: Fix stack alignment on function calls in JIT on ARM. bz#545747.
    + 0057*: Fix xptinvoke and xptstubs on mips o32 big endian.
    + 0058*: Don't show the SVG output option in the print dialog. bz#546093.
    + 0059*: Cleanup top directory during make distclean. bz#546642.
    + 0060*: Don't unnecessarily copy files in toolkit/library. bz#546664.

  * debian/iceape-runner, debian/iceape-browser.{install,links}, debian/rules:
    Allow iceape-runner not to hardcode the iceape base directory.
  * debian/branding/Makefile.in:
    + Use system install instead of nsinstall to install files in
      /usr/share/icons. Using nsinstall leads to the file being installed in
      a iceape.{png,svg} directory.
    + Create the /usr/share/icons/hicolor/*/apps before putting files there.
  * debian/rules:
    + Avoid bashism in call to dpkg-shlibdeps.
    + There is no bashism in debian/rules anymore.
    + Remove Debian revision from the User Agent string.
    + Avoid duplicating LDFLAGS during the build.
    + Don't export BUILD_OFFICIAL.
    + Remove suite/themes/classic/preview.png during cleanup.
  * debian/vendor.js: Don't trigger the debAbout component. Now we have a
    release notes link in about:, the debAbout generated links are pointless,
    especially since they create problems in the target web pages (e.g.
    unstyled BTS).
  * debian/rules, debian/iceape-browser.links, debian/iceape-browser.install,
    debian/about_debian.js: Remove the about_debian component, now that it is
    unused in iceape.
  * debian/rules, debian/iceape-browser.links, debian/iceape-browser.install,
    debian/homepagereset.js: Remove the homepagereset component. It was used
    to reset the homepage user settings if it were a very old value. Anyone
    using these old homepages should have had their homepage reset by now.
  * debian/control:
    + iceape-browser recommends libgnomeui-0.
    + Build-Conflict with libhildonmime-dev and libosso-dev.
    + Bump libcairo2-dev build dependency. Upstream decided once more to
      enforce runtime dependencies as build time *sigh*.
    + Bump Standards-Version to 3.8.4.0.
    + Suggest ttf-lyx | latex-xft-fonts (latex-xft-fonts is kept for stable)
    + Suggest libgssapi-krb5-2 | libkrb53 (libkrb53 is kept for stable)
    + Add ${misc:Depends} where missing.
  * debian/iceape-browser.preinst: Change permissions of /usr/lib/mozilla and
    /usr/lib/mozilla/extensions. As earlier versions of xulrunner could
    create these directories with the wrong permissions at runtime, we need
    to change their permissions if they exist.
  * debian/control, debian/compat, debian/rules: Switch to dh.
  * debian/rules, debian/no_pkg_files: Avoid installing files we don't want

