=== debian/watch ===
version=3
opts=dversionmangle=s/^(\d\.[\d\.]+)\+dfsg$/$1/ \
http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/(\d\.[\d\.]+)/source/seamonkey-([\d\.]+).source\.tar\.bz2
